QXmpp: QXmppFileShare Class Reference

QXmpp Version: 1.14.3

Loading...
Searching...
No Matches
QXmppFileShare Class Reference

## Public Types
enum | Disposition { Inline , Attachment }
| Decides whether to display the file contents (e.g. an image) inline in the chat or as a file.

## Public Member Functions
| QXmppFileShare ()
| Default constructor.
Disposition | disposition () const
| Returns the disposition setting for this file.
void | setDisposition (Disposition)
| Sets the disposition setting for this file.
const QString & | id () const
void | setId (const QString &)
const QXmppFileMetadata & | metadata () const
| Returns the metadata of the shared file.
void | setMetadata (const QXmppFileMetadata &)
| Sets the metadata of the shared file.
const QVector< QXmppHttpFileSource > & | httpSources () const
void | setHttpSources (const QVector< QXmppHttpFileSource > &newHttpSources)
const QVector< QXmppEncryptedFileSource > & | encryptedSources () const
void | setEncryptedSourecs (const QVector< QXmppEncryptedFileSource > &newEncryptedSources)

## Detailed Description

File sharing element from XEP-0447: Stateless file sharing. Contains metadata and source URLs.

Note
  jinglepub references are currently missing

Since
  QXmpp 1.5

## Member Function Documentation

## ◆ encryptedSources()

const QVector< QXmppEncryptedFileSource > & QXmppFileShare::encryptedSources | ( |  | ) | const

Returns the encrypted sources for this file.

## ◆ httpSources()

const QVector< QXmppHttpFileSource > & QXmppFileShare::httpSources | ( |  | ) | const

Returns the HTTP sources for this file.

## ◆ id()

const QString & QXmppFileShare::id | ( |  | ) | const

Returns the ID of this file element.

This is useful for attaching sources to one of multiple files in a message.

Since
  QXmpp 1.7

## ◆ setEncryptedSourecs()

void QXmppFileShare::setEncryptedSourecs | ( | const QVector< QXmppEncryptedFileSource > & | newEncryptedSources | ) |

Sets the encrypted sources for this file.

## ◆ setHttpSources()

void QXmppFileShare::setHttpSources | ( | const QVector< QXmppHttpFileSource > & | newHttpSources | ) |

Sets the HTTP sources for this file.

## ◆ setId()

void QXmppFileShare::setId | ( | const QString & | id | ) |

Sets the ID of this file element.

This is useful for attaching sources to one of multiple files in a message.

Since
  QXmpp 1.7

The documentation for this class was generated from the following files:

- QXmppFileShare.h
- QXmppFileShare.cpp